import { line, curveNatural } from 'd3';
export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  opacity,
  nested, 
  circleRadius, 
  lineValue
}) => (
  <g className="marks">
    <path
      opacity={opacity}
      d={line()
        .x((d) => xScale(xValue(d)))
        .y((d) => yScale(yValue(d)))
        .curve(curveNatural)(data)}
    />  
    {
      data.map(d => (
     		<circle cx={xScale(xValue(d))} cy={yScale(yValue(d))} r={circleRadius} opacity={opacity}>
      	<title>{ lineValue(d) + ", Karwoche " + xValue(d) + ": " + yValue(d) + "Sterbefälle"}</title>
      	</circle>
      ))
    }
  </g>
);