import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/ValentineAuer/3b041fd1d4fa5c3757824c125b8eb25a/raw/1ee123e96cd5c9b914ee19b64d46aff03d0f896e/sterbefaelle-kalenderwoche.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Kalenderwoche = +d.Kalenderwoche;
      d.Jahr = +d.Jahr;
      d.Sterbefälle = +d.Sterbefälle;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
